net.minecraftforge.client.event

## Enum RenderGameOverlayEvent.ElementType

- java.lang.Object
- - java.lang.Enum<RenderGameOverlayEvent.ElementType>
  - - net.minecraftforge.client.event.RenderGameOverlayEvent.ElementType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RenderGameOverlayEvent.ElementType>
  Enclosing class:
    RenderGameOverlayEvent

      public static enum RenderGameOverlayEvent.ElementType
      extends java.lang.Enum<RenderGameOverlayEvent.ElementType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AIR`
    `ALL`
    `ARMOR`
    `BOSSHEALTH`
    `CHAT`
    `CROSSHAIRS`
    `DEBUG`
    `EXPERIENCE`
    `FOOD`
    `HEALTH`
    `HEALTHMOUNT`
    `HELMET`
    `HOTBAR`
    `JUMPBAR`
    `PLAYER_LIST`
    `PORTAL`
    `TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RenderGameOverlayEvent.ElementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RenderGameOverlayEvent.ElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final RenderGameOverlayEvent.ElementType ALL

    - #### HELMET

          public static final RenderGameOverlayEvent.ElementType HELMET

    - #### PORTAL

          public static final RenderGameOverlayEvent.ElementType PORTAL

    - #### CROSSHAIRS

          public static final RenderGameOverlayEvent.ElementType CROSSHAIRS

    - #### BOSSHEALTH

          public static final RenderGameOverlayEvent.ElementType BOSSHEALTH

    - #### ARMOR

          public static final RenderGameOverlayEvent.ElementType ARMOR

    - #### HEALTH

          public static final RenderGameOverlayEvent.ElementType HEALTH

    - #### FOOD

          public static final RenderGameOverlayEvent.ElementType FOOD

    - #### AIR

          public static final RenderGameOverlayEvent.ElementType AIR

    - #### HOTBAR

          public static final RenderGameOverlayEvent.ElementType HOTBAR

    - #### EXPERIENCE

          public static final RenderGameOverlayEvent.ElementType EXPERIENCE

    - #### TEXT

          public static final RenderGameOverlayEvent.ElementType TEXT

    - #### HEALTHMOUNT

          public static final RenderGameOverlayEvent.ElementType HEALTHMOUNT

    - #### JUMPBAR

          public static final RenderGameOverlayEvent.ElementType JUMPBAR

    - #### CHAT

          public static final RenderGameOverlayEvent.ElementType CHAT

    - #### PLAYER_LIST

          public static final RenderGameOverlayEvent.ElementType PLAYER_LIST

    - #### DEBUG

          public static final RenderGameOverlayEvent.ElementType DEBUG

  - ### Method Detail

    - #### values

          public static RenderGameOverlayEvent.ElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderGameOverlayEvent.ElementType c : RenderGameOverlayEvent.ElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderGameOverlayEvent.ElementType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null